-- -----------------------------------------------------
-- OpenEstate-ImmoTool
-- update 3 for HSQLDB
-- Copyright (C) 2009-2019 OpenEstate.org
-- -----------------------------------------------------
-- Add foreign key to field 'plugin_id' of 'immotool_logs'
-- -----------------------------------------------------

DELETE FROM immotool_logs
  WHERE plugin_id = 0;

ALTER TABLE immotool_logs
  ALTER plugin_id SET DEFAULT NULL;

ALTER TABLE immotool_logs
  ADD FOREIGN KEY (plugin_id)
  REFERENCES immotool_plugins (plugin_id)
  MATCH FULL
  ON UPDATE CASCADE
  ON DELETE CASCADE;
